package com.zehong.dao;

import com.zehong.entity.TControllerValuesData;
import java.util.List;

/**
 * 阀控数据Mapper接口
 * 
 * @author zehong
 * @date 2022-05-07
 */
public interface TControllerValuesDataDao {
    /**
     * 查询阀控数据
     * 
     * @param controllerValueId 阀控数据ID
     * @return 阀控数据
     */
    TControllerValuesData selectTControllerValuesDataById(Long controllerValueId);

    /**
     * 查询阀控数据列表
     * 
     * @param tControllerValuesData 阀控数据
     * @return 阀控数据集合
     */
    List<TControllerValuesData> selectTControllerValuesDataList(TControllerValuesData tControllerValuesData);

    /**
     * 新增阀控数据
     * 
     * @param tControllerValuesData 阀控数据
     * @return 结果
     */
    int insertTControllerValuesData(TControllerValuesData tControllerValuesData);

    /**
     * 修改阀控数据
     * 
     * @param tControllerValuesData 阀控数据
     * @return 结果
     */
    int updateTControllerValuesData(TControllerValuesData tControllerValuesData);

    /**
     * 删除阀控数据
     * 
     * @param controllerValueId 阀控数据ID
     * @return 结果
     */
    int deleteTControllerValuesDataById(Long controllerValueId);

    /**
     * 批量删除阀控数据
     * 
     * @param controllerValueIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTControllerValuesDataByIds(Long[] controllerValueIds);
}
