package com.zehong.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 热量数据对象 t_heat_data
 * 
 * @author zehong
 * @date 2022-05-07
 */
@Data
public class THeatData {

    /** 热量id */
    private Long heatId;

    /** 厂商编号 */
    private String manufacturersId;

    /** 表类型 */
    private String equipmentTypeValue;

    /** 热量表编号 */
    private String heatMeterId;

    /** 表协议类型：保留，目前未使用 */
    private String protocolType;

    /** 累计冷量 */
    private BigDecimal cumulativeCool;

    /** 累计冷量单位，单位最高位为0表示累计冷量为正；最高位为1表示累计冷量为负 */
    private String cumulativeCoolUnit;

    /** 累积热量 */
    private BigDecimal cumulativeHeat;

    /** 累积热量单位，单位最高位为0表示累计热量为正；最高位为1表示累计热量为负 */
    private String cumulativeHeatUnit;

    /** 瞬时功率 */
    private BigDecimal theCurrentThermalPower;

    /** 瞬时功率单位，单位最高位为0表示瞬时功率为正；最高位为1表示瞬时功率为负 */
    private String theCurrentThermalPowerUnit;

    /** 瞬时流量 */
    private BigDecimal currentFlow;

    /** 瞬时流量单位，单位最高位为0表示瞬时流量为正；最高位为1表示瞬时流量为负 */
    private String currentFlowUnit;

    /** 累积流量 */
    private BigDecimal cumulativeFlow;

    /** 累积流量单位，单位最高位为0表示累计流量为正；最高位为1表示累计流量为负 */
    private String cumulativeFlowUnit;

    /** 当前供水温度 */
    private BigDecimal theCurrentWaterTemperature;

    /** 当前回水温度 */
    private BigDecimal currentReturnTemperature;

    /** 累积工作时间，单位小时 */
    private String cumulativeWorkingTime;

    /** 热量表实时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dateTimeValue;

    /** 回水累计流量 */
    private BigDecimal cumulativeReturnFlow;

    /** 回水累计流量单位，单位最高位为0表示回水累计流量为正；最高位为1表示回水累计流量为负 */
    private String cumulativeReturnFlowUnit;

    /** 累计流量差 */
    private BigDecimal cumulativeFlowDifference;

    /** 累计流量差单位，单位最高位为0表示累计流量差为正；最高位为1表示累计流量差为负 */
    private String cumulativeFlowDifferenceUnit;

    /** 有效标志（是否支持回水累计流量、累计流量差）,十六进制，高位在前、低位在后0x0000：无效；0x0001：有效 */
    private String returnFlowFlag;

    /** 状态ST */
    private String stStatus;

    /** 创建时间 */
    private Date createTime;

}
