package com.zehong.enums;

/**
 * @author gengd
 * 信息单元类型
 */
public enum InformationTypeEnum {
    /** （原因值）*/
    CAUSE("01"),
    /**（日期时间） */
    DATE_TIME("02"),
    /** （分包信息）*/
    PACKET_INFORMATION("03"),
    /**（程序版本） */
    PROGRAM_VERSION("11"),
    /** （集中器网络参数）*/
    CONCENTRATOR_NETWORK("12"),
    /** （集中器上报数据时间）*/
    CONCENTRATOR_REPORTED_TIME("13"),
    /** （集中器参数）*/
    CONCENTRATOR_PARAMETER("14"),
    /** （设备ID列表）*/
    EQUIPMENT_ID_LISTS("16"),
    /**（读数据失败设备列表） */
    ERROR_DATA_EQUIPMENT_ID_LISTS("20"),
    /** （热量表数据）*/
    HEAT_METER_DATA("21"),
    /** （热量表数据列表）*/
    HEAT_METER_DATA_LISTS("22"),
    /** （阀门数据）*/
    VALVE_DATA("31"),
    /** （阀门数据列表）*/
    VALVE_DATA_LISTS("32"),
    /**（阀门操作列表） */
    VALVE_OPERATE_LISTS("33"),
    /** （阀门操作原因值）*/
    VALVE_OPERATE_CAUSE("34"),
    /** （阀门操作）*/
    VALVE_OPERATE("35"),
    /**（集中器中历史数据日期列表） */
    HISTORY_DATE_LISTS("50"),
    /**（设备类型） */
    EQUIPMENT_TYPE("61"),
    /** （设备ID）*/
    EQUIPMENT_ID("62"),
    /**（分包确认指示） */
    MULTI_PACKET_CONFIRM_INDICATION("A1"),
    /** （集中器告警）*/
    CONCENTRATOR_ALARM("A3"),
    /**（自由温控控制温度） */
    FREE_CONTROL_TEMPERATURE("C1"),
    /** （温控温度范围）*/
    CONTROL_TEMPERATURE_RANGE("C2"),
    /** （室温上报最大时间间隔）*/
    INDOOR_TEMPERATURE_REPORT_MAX_TIMER("C3"),
    /** （长关模式下防冻）*/
    PREVENT_FROZEN_UNDER_CLOSED_MODE("C4"),
    /**（对码标记） */
    PAIRING_FLAG("CA"),
    /**（启动时阀门动作延时） */
    VALVE_OPERATE_DELAY_ON_START_UP("CB");

    public String value;
    InformationTypeEnum(String value){
        this.value = value;
    }

}
