package com.zehong.enums;

/**
 * @author gengd
 * 消息类型
 */
public enum MessageTypeEnum {
    /**（集中器注册请求）*/
    CONCENTRATOR_REGISTRATION_REQUEST("01"),
    /**（集中器注册响应）*/
    CONCENTRATOR_REGISTRATION_RESPONSE("02"),
    /** （心跳）*/
    HEARTBEAT("03"),
    /** （集中器校时）*/
    CONCENTRATOR_CALIBRATION("05"),
    /** （获取集中器数据上报时间的请求）*/
    GET_CONCENTRATOR_REPORTED_TIME_REQUEST("13"),
    /** （获取集中器数据上报时间的响应）*/
    GET_CONCENTRATOR_REPORTED_TIME_RESPONSE("14"),
    /**（设置集中器数据上报时间的请求） */
    SET_CONCENTRATOR_REPORTED_TIME_REQUEST("23"),
    /**（设置集中器数据上报时间的响应） */
    SET_CONCENTRATOR_REPORTED_TIME_RESPONSE("24"),
    /** （获取集中器下设备ID的请求）*/
    GET_EQUIPMENT_ID_REQUEST("31"),
    /** （获取集中器下设备ID的响应）*/
    GET_EQUIPMENT_ID_RESPONSE("32"),
    /**（设置集中器下设备ID的请求） */
    SET_EQUIPMENT_ID_REQUEST("33"),
    /** （设置集中器下设备ID的响应）*/
    SET_EQUIPMENT_ID_RESPONSE("34"),
    /** （定时维护数据上传通知）*/
    MAINTENANCE_DATA_NOTIFY("51"),
    /** （定时维护数据接收完成确认）*/
    MAINTENANCE_DATA_CONFIRM("52"),
    /** （读取定时维护数据的请求）*/
    READ_DATA_REQUEST("53"),
    /** （读取定时维护数据的响应）*/
    READ_DATA_RESPONSE("54"),
    /**（读取集中器中存储的历史抄表数据时间的请求） */
    GET_MAINTENANCE_HISTORY_DATE_REQUEST("61"),
    /**（读取集中器中存储的历史抄表数据时间的响应） */
    GET_MAINTENANCE_HISTORY_DATE_RESPONSE("62"),
    /** （实时读表阀的请求）*/
    EQUIPMENT_REAL_DATA_REQUEST("67"),
    /**（指定阀门进行操作） */
    EQUIPMENT_REAL_DATA_RESPONSE("68"),
    /**（指定阀门进行操作） */
    VALVE_OPERATE_REQUEST("71"),
    /** （阀门操作结果） */
    VALVE_OPERATE_RESPONSE("75");

    public String value;
    MessageTypeEnum(String value){
        this.value = value;
    }
}
