package com.zehong.netty.decode;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author gengd
 * 信息单元原因解析
 */
public class CauseDecode {

    private Logger logger = LoggerFactory.getLogger(CauseDecode.class);
    /**
     * 解析消息
     */
    private MsgDecode decode;
    /**
     * 原因
     */
    private String cause;

    public CauseDecode(MsgDecode decode){
        this.decode = decode;
        this.cause = decode.getMsgInfo().substring(0,8);
    }

    /**
     * 解析原因
     */
    public void decodeCause(){
        //信息单元类型
        String ieType = this.cause.substring(0,2);
        //长度
        String length = this.cause.substring(2,6);
        //原因值
        String causeValue = this.cause.substring(6,8);
        logger.info("transmissionId:" + decode.getTransmissionId() + "原因： 信息单元类型："+ ieType +" 长度：" + length + "原因值：" + causeValue);
    }
}
