package com.zehong.netty.decode;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

/**
 * @author gengd
 * 读取数据失败ID列表
 */
public class ErrorDataEquipmentIdListsDecode {

    private Logger logger = LoggerFactory.getLogger(ErrorDataEquipmentIdListsDecode.class);

    private MsgDecode decode;
    /**
     * 设备类型
     */
    private Map<String,String> equipmentTypeValueMap = new HashMap<>();

    {
        equipmentTypeValueMap.put("00","所有设备");
        equipmentTypeValueMap.put("10","水表");
        equipmentTypeValueMap.put("20","热量表");
        equipmentTypeValueMap.put("70","阀门");
    }

    /**
     * 读取数据失败ID列表数据
     */
    private String errorDataEquipmentIdLists;

    public ErrorDataEquipmentIdListsDecode(MsgDecode decode,int startLength){
        this.decode = decode;
        this.errorDataEquipmentIdLists = decode.getMsgInfo().substring(42 + startLength *2,decode.getMsgInfo().length());
    }

    public void decodeErrorDataEquipmentIdLists(){
        //信息单元类型
        String ieType = this.errorDataEquipmentIdLists.substring(0,2);
        //长度
        String length = this.errorDataEquipmentIdLists.substring(2,6);
        //设备ID数量
        String errorDataEquipmentIdCount = this.errorDataEquipmentIdLists.substring(6,10);
        deocdeErrorDataEquipmentIdList(Integer.parseInt(errorDataEquipmentIdCount,16));
        logger.info("transmissionId:" + decode.getTransmissionId() + "读取数据失败ID列表数据： 信息单元类型："+ ieType +" 长度：" + length  + "读取数据失败ID列表数据：" + errorDataEquipmentIdLists.substring(10,Integer.parseInt(errorDataEquipmentIdCount,16)*16));
    }

    /**
     * 数据解析
     * @param errorDataEquipmentIdCount 设备数量
     */
    public void deocdeErrorDataEquipmentIdList(int errorDataEquipmentIdCount){
        String errorDataEquipmentIds = errorDataEquipmentIdLists.substring(10,errorDataEquipmentIdLists.length());
        for(int i = 1; i < errorDataEquipmentIdCount + 1; i++){
            String errorDataEquipmentId = errorDataEquipmentIds.substring((i-1)*16,i*16);
            //厂商ID，BCD码
            String manufacturersId = errorDataEquipmentId.substring(0,4);
            //设备类型
            String equipmentTypeValue = errorDataEquipmentId.substring(4,6);
            String equipmentType = equipmentTypeValueMap.get(equipmentTypeValue);
            //设备编号
            String equipmentId = errorDataEquipmentId.substring(6,16);
            logger.info("transmissionId:" + decode.getTransmissionId() + "读取数据失败ID列表数据:" + "厂商Id:" + manufacturersId + "设备类型:" + equipmentType + "设备编号:" + equipmentId);
        }

    }

}
