package com.zehong.netty.decode;

/**
 * @author gengd
 * 信息单元解析
 */
public class InformationDecode {

    /**
     * 信息单元
     */
    private MsgDecode decode;

    /**
     * 总分包数
     */
    public String totalPackageCount;


    public InformationDecode(MsgDecode decode){
        this.decode = decode;
    }

    public void infoMsgDecode(){
        //原因值
        new CauseDecode(decode).decodeCause();
        //日期时间
        new DateTimeDecode(decode).decodeDateTime();
        //分包信息
        PackageInformationDecode packageInformationDecode = new PackageInformationDecode(decode);
        this.totalPackageCount = packageInformationDecode.totalPackageCount;
        packageInformationDecode.decodePakageInformation();
        if(packageInformationDecode.isNotSaveCurrentIndex){
            //热量表数据列表
            HeatMeterDataListDecode heatMeterDataListDecode = new HeatMeterDataListDecode(decode);
            heatMeterDataListDecode.decodeHeatMeterDataList();
            int heatMeterDataListLength = heatMeterDataListDecode.getHeatMeterDataListLength;
            //阀控数据列表
            ValveDataListsDecode valveDataListsDecode = new ValveDataListsDecode(decode,heatMeterDataListLength);
            valveDataListsDecode.decodeValueDataLists();
            int valueDataListsLength = valveDataListsDecode.valueDataListsLength;
            //读取数据失败ID列表
            new ErrorDataEquipmentIdListsDecode(decode,heatMeterDataListLength+valueDataListsLength).decodeErrorDataEquipmentIdLists();
        }
    }
}
