package com.zehong.netty.decode;

import com.zehong.utils.RedisUtil;
import com.zehong.utils.SpringUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.List;

/**
 * @author gengd
 * 信息单元分包信息解析
 */
public class PackageInformationDecode {

    private Logger logger = LoggerFactory.getLogger(PackageInformationDecode.class);

    /**
     * 上传信息解析数据
     */
    private MsgDecode decode;

    /**
     * 分包信息
     */
    private String packageInformation;

    /**
     * 总包数
     */
    public String totalPackageCount;

    /**
     * 当前包数
     */
    private String currentPackageIndex;

    /**
     * 当前包是否发送过
     */
    public boolean isNotSaveCurrentIndex;

    public PackageInformationDecode(MsgDecode decode){
        this.decode = decode;
        this.packageInformation = decode.getMsgInfo().substring(28,42);
    }

    public void decodePakageInformation(){
        //信息单元类型
        String ieType = this.packageInformation.substring(0,2);
        //长度
        String length = this.packageInformation.substring(2,6);
        //总包数
        this.totalPackageCount = this.packageInformation.substring(6,10);
        //当前包数
        this.currentPackageIndex = this.packageInformation.substring(10,14);
        logger.info("transmissionId:" + decode.getTransmissionId() + "分包信息： 信息单元类型："+ ieType +" 长度：" + length + "总包数：" + totalPackageCount + "当前包数" + currentPackageIndex);
        //缓存分包信息
        packageInformationCash();
    }

    /**
     * 缓存分包信息
     */
    private void packageInformationCash(){
       RedisUtil redisUtil = SpringUtil.getBean(RedisUtil.class);
       List<String> cashInfo = (List<String>) redisUtil.get(decode.getTransmissionId());
       //缓存信息不为空
       if(null != cashInfo && !cashInfo.isEmpty()){
           if(cashInfo.contains(currentPackageIndex)){
              return;
           }
           cashInfo.add(currentPackageIndex);
           isNotSaveCurrentIndex = true;
           // 缓存分包信息
           redisUtil.set(decode.getTransmissionId(),cashInfo,60 * 60 *6);
           return;
       }
       isNotSaveCurrentIndex = true;
       List<String> packageInfoCash = new ArrayList<>();
       packageInfoCash.add(currentPackageIndex);
       redisUtil.set(decode.getTransmissionId(),packageInfoCash,60 * 60 *6);
    }
}
