package com.zehong.service;

import com.github.pagehelper.PageInfo;
import com.zehong.entity.TControllerValuesData;
import java.util.List;

/**
 * 阀控数据Service接口
 * 
 * @author zehong
 * @date 2022-05-07
 */
public interface ITControllerValuesDataService {
    /**
     * 查询阀控数据
     * 
     * @param controllerValueId 阀控数据ID
     * @return 阀控数据
     */
    TControllerValuesData selectTControllerValuesDataById(Long controllerValueId);

    /**
     * 查询阀控数据列表
     * 
     * @param tControllerValuesData 阀控数据
     * @return 阀控数据集合
     */
    List<TControllerValuesData> selectTControllerValuesDataList(TControllerValuesData tControllerValuesData);

    /**
     * 查询阀控数据分页列表
     *
     * @param tControllerValuesData 阀控数据
     * @return 阀控数据分页集合
     */
    PageInfo<TControllerValuesData> selectTControllerValuesDataPage(TControllerValuesData tControllerValuesData);

    /**
     * 新增阀控数据
     * 
     * @param tControllerValuesData 阀控数据
     * @return 结果
     */
    int insertTControllerValuesData(TControllerValuesData tControllerValuesData);

    /**
     * 修改阀控数据
     * 
     * @param tControllerValuesData 阀控数据
     * @return 结果
     */
    int updateTControllerValuesData(TControllerValuesData tControllerValuesData);

    /**
     * 批量删除阀控数据
     * 
     * @param controllerValueIds 需要删除的阀控数据ID
     * @return 结果
     */
    int deleteTControllerValuesDataByIds(Long[] controllerValueIds);

    /**
     * 删除阀控数据信息
     * 
     * @param controllerValueId 阀控数据ID
     * @return 结果
     */
    int deleteTControllerValuesDataById(Long controllerValueId);
}
