package com.zehong.service;


import com.zehong.entity.THeatData;
import com.github.pagehelper.PageInfo;
import java.util.List;

/**
 * 热量数据Service接口
 * 
 * @author zehong
 * @date 2022-05-07
 */
public interface ITHeatDataService {
    /**
     * 查询热量数据
     * 
     * @param heatId 热量数据ID
     * @return 热量数据
     */
    THeatData selectTHeatDataById(Long heatId);

    /**
     * 查询热量数据列表
     * 
     * @param tHeatData 热量数据
     * @return 热量数据集合
     */
    List<THeatData> selectTHeatDataList(THeatData tHeatData);

    /**
     * 查询热量数据分页列表
     *
     * @param tHeatData 热量数据
     * @return 热量数据分页集合
     */
    PageInfo<THeatData> selectTHeatDataPage(THeatData tHeatData);

    /**
     * 新增热量数据
     * 
     * @param tHeatData 热量数据
     * @return 结果
     */
    int insertTHeatData(THeatData tHeatData);

    /**
     * 修改热量数据
     * 
     * @param tHeatData 热量数据
     * @return 结果
     */
    int updateTHeatData(THeatData tHeatData);

    /**
     * 批量删除热量数据
     * 
     * @param heatIds 需要删除的热量数据ID
     * @return 结果
     */
    int deleteTHeatDataByIds(Long[] heatIds);

    /**
     * 删除热量数据信息
     * 
     * @param heatId 热量数据ID
     * @return 结果
     */
    int deleteTHeatDataById(Long heatId);
}
